## nginx 1.12.1

=== debian/changelog ===
nginx (1.12.1-0ubuntu2) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:11:43 +0000

nginx (1.12.1-0ubuntu1) artful; urgency=medium

  * New upstream release (1.12.1) - full changelog available at upstream
    website - http://nginx.org/en/CHANGES-1.12
  * This release is a security patch micro-release from Upstream.
  * This package contains security content to fix the following CVEs:
    * CVE-2017-7529: A security issue was identified in nginx range filter.
      A specially crafted request might result in an integer overflow and
      incorrect processing of ranges, potentially resulting in sensitive 
      information leak. (Closes LP: #1704151)
  * Additional changes:
    * d/patches/ubuntu-branding.patch: Refreshed Ubuntu Branding patch.

 -- Thomas Ward <teward@ubuntu.com>  Sat, 15 Jul 2017 12:40:15 -0400

nginx (1.12.0-1ubuntu1) artful; urgency=medium

  * Merge from Debian Experimental (1.12.0-1, via snapshots.debian.org)
  * All Ubuntu-specific changes from Ubuntu 1.12.0-0ubuntu1 were retained.
  * Remaining changes:
    * d/tests/control: Specify nginx-core flavor tests.
  * This merge closes the merge request on Launchpad. (LP: #1704020)

 -- Thomas Ward <teward@ubuntu.com>  Wed, 12 Jul 2017 19:53:24 -0400

nginx (1.12.0-1) UNRELEASED; urgency=medium

  [ Michael Lustfield ]
  * debian/rules:
    - Configure build flags to work with other arches and downstreams.
      Thanks to Thomas Ward.

  [ Christos Trochalakis ]
  * New upstream release.
  * Patch nginx-upstream-fair to build against nginx 1.11.6.
  * Patch nginx-lua to build against nginx 1.11.11.
  * Patch nginx-echo to build against nginx 1.11.11.
  * Drop curve list patch, it's included upstream.
  * Drop perl build flags patch, it is now handled upstream.
  * Enable SSL Preread builtin module on nginx-full & nginx-extras.
    (Closes: #854214)
  * Switch to debhelper 10, no changes needed.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Fri, 28 Apr 2017 11:14:41 +0300

nginx (1.12.0-0ubuntu1) artful; urgency=medium

  * New upstream release: 1.12.0 Stable branch.
  * All remaining Ubuntu-specific and Debian-specific changes remain
    in place with this upload, the upstream version and code are the
    only bits that have been updated, except where indicated below.
  * Remaining changes:
    - d/modules/nginx-upload-progress/config: Apply upstream patch to
      fix an issue where the module does not properly function due to
      the wrong module type being set; this prevented the module from
      working when built. (LP: #1673056)
    - d/patches: The following patches were dropped from the package
      because the changes from the patches are already incorporated 
      in 1.12.0:
      - 0004-SSL-error-messages-style.patch
      - 0005-SSL-style.patch
      - 0006-SSL-support-for-multiple-curves-ticket-885.patch
    - d/patches/perl-use-dpkg-buildflags.patch: Refreshed patch to 
      remove fuzz from the patch.
    - d/modules/nginx-echo: Apply upstream diff/patch to fix an FTBFS
    - d/modules/nginx-lua: Apply upstream diff/patch to fix an FTBFS
    - d/modules/nginx-upstream-fair: Apply diff/patch from the Debian 
      package maintainers' git repository to not use default_port to
      fix an FTBFS.  (This will eventually be in Debian, and will get
      merged in then as well).

 -- Thomas Ward <teward@ubuntu.com>  Wed, 26 Apr 2017 12:02:33 -0400
