=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://nginx.org/download/nginx-(1\.12\.\d+)\.tar\.gz
