## nginx 1.12.2

=== debian/changelog ===
nginx (1.12.2-1~dotdeb+8.1) oldstable; urgency=medium

  [ Guillaume Plessis ]
  * New upstream version 1.12.2

 -- Guillaume Plessis <gui@dotdeb.org>  Thu, 19 Oct 2017 23:11:03 +0000

nginx (1.12.1-1~dotdeb+8.1) oldstable; urgency=high

  [ Guillaume Plessis ]
  * Imported Upstream version 1.12.1

 -- Guillaume Plessis <gui@dotdeb.org>  Thu, 20 Jul 2017 13:34:25 +0000

nginx (1.12.0-1~dotdeb+8.1) oldstable; urgency=medium

  [ Guillaume Plessis ]
  * Imported Upstream version 1.12.0
  * Update submodules
  * Patches refresh for 1.12.0
  * nginx-x-rid-header is obsolete
  * updates configure options

 -- Guillaume Plessis <gui@dotdeb.org>  Mon, 12 Jun 2017 21:30:15 +0000

nginx (1.10.3-1~dotdeb+8.1) stable; urgency=medium

  [ Guillaume Plessis ]
  * Updates nginx-auth-ldap
  * Remove Pinba from nginx-full and nginx-extras
  * Imported Upstream version 1.10.3

 -- Guillaume Plessis <gui@dotdeb.org>  Wed, 01 Feb 2017 15:50:19 +0000

nginx (1.10.2-2~dotdeb+8.2) stable; urgency=medium

  * Fix a Security Regression

 -- Guillaume Plessis <gui@dotdeb.org>  Fri, 28 Oct 2016 05:39:42 +0000

nginx (1.10.2-2~dotdeb+8.1) stable; urgency=medium

  [ Christos Trochalakis ]
  * debian/nginx-common.postinst:
    + Secure log file handling (owner & permissions) against privilege
      escalation attacks. /var/log/nginx is now owned by root:adm.
      Thanks Dawid Golunski (http://legalhackers.com) for the report.
      Changing /var/log/nginx permissions effectively reopens #701112,
      since log files can be world-readable. This is a trade-off until
      a better log opening solution is implemented upstream (trac:376).
  * debian/control:
    Don't allow building against liblua5.1-0-dev on architectures
    that libluajit is available. (Closes: #826167)

 -- Guillaume Plessis <gui@dotdeb.org>  Thu, 27 Oct 2016 18:17:42 +0000
