=== debian/tests/control ===
Tests: light-simple
Restrictions: allow-stderr isolation-container
Depends: nginx-light, curl

Tests: full-simple
Restrictions: allow-stderr isolation-container
Depends: nginx-full, curl

Tests: extras-simple
Restrictions: allow-stderr isolation-container
Depends: nginx-extras, curl

Tests: full-module-deps
Restrictions: allow-stderr isolation-container
Depends: nginx-full, curl, libnginx-mod-http-auth-pam, libnginx-mod-http-geoip, libnginx-mod-http-image-filter, libnginx-mod-http-lua, libnginx-mod-http-perl, libnginx-mod-http-xslt-filter, libnginx-mod-mail, libnginx-mod-stream

Tests: light-module-deps
Restrictions: allow-stderr isolation-container
Depends: nginx-light, curl, libnginx-mod-http-auth-pam, libnginx-mod-http-geoip, libnginx-mod-http-image-filter, libnginx-mod-http-lua, libnginx-mod-http-perl, libnginx-mod-http-xslt-filter, libnginx-mod-mail, libnginx-mod-stream

Tests: extras-module-deps
Restrictions: allow-stderr isolation-container
Depends: nginx-extras, curl, libnginx-mod-http-auth-pam, libnginx-mod-http-geoip, libnginx-mod-http-image-filter, libnginx-mod-http-lua, libnginx-mod-http-perl, libnginx-mod-http-xslt-filter, libnginx-mod-mail, libnginx-mod-stream
